RDKit: RDKit::SynthonSpaceSearch::Synthon Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::SynthonSpaceSearch::Synthon Class Reference

`#include <Synthon.h>`

## Public Member Functions
| Synthon ()=default
| Synthon (const std::string &smi)
| Synthon (const Synthon &other)
| Synthon (Synthon &&other)=default
Synthon & | operator= (const Synthon &other)
Synthon & | operator= (Synthon &&other)=default
const std::string & | getSmiles () const
const std::unique_ptr< ROMol > & | getOrigMol () const
const std::unique_ptr< ROMol > & | getSearchMol () const
const std::unique_ptr< ExplicitBitVect > & | getPattFP () const
const std::unique_ptr< ExplicitBitVect > & | getFP () const
const std::vector< std::shared_ptr< ROMol > > & | getConnRegions () const
void | setSearchMol (std::unique_ptr< ROMol > mol)
void | setFP (std::unique_ptr< ExplicitBitVect > fp)
unsigned int | getNumDummies () const
unsigned int | getNumHeavyAtoms () const
unsigned int | getNumChiralAtoms () const
unsigned int | getNumChiralAtomsExcDummies () const
double | getMolWt () const
void | writeToDBStream (std::ostream &os) const
void | readFromDBStream (std::istream &is, std::uint32_t version)

## Detailed Description

Definition at line 30 of file Synthon.h.

## Constructor & Destructor Documentation

## ◆ Synthon() [1/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( |  | ) |
| default

Referenced by operator=(), operator=(), Synthon(), and Synthon().

## ◆ Synthon() [2/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | const std::string & | smi | ) |

## ◆ Synthon() [3/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | const Synthon & | other | ) |

References Synthon().

## ◆ Synthon() [4/4]

RDKit::SynthonSpaceSearch::Synthon::Synthon | ( | Synthon && | other | ) |
| default

References Synthon().

## Member Function Documentation

## ◆ getConnRegions()

const std::vector< std::shared_ptr< ROMol > > & RDKit::SynthonSpaceSearch::Synthon::getConnRegions | ( |  | ) | const

## ◆ getFP()

const std::unique_ptr< ExplicitBitVect > & RDKit::SynthonSpaceSearch::Synthon::getFP | ( |  | ) | const

## ◆ getMolWt()

double RDKit::SynthonSpaceSearch::Synthon::getMolWt | ( |  | ) | const
| inline

Definition at line 53 of file Synthon.h.

## ◆ getNumChiralAtoms()

unsigned int RDKit::SynthonSpaceSearch::Synthon::getNumChiralAtoms | ( |  | ) | const
| inline

Definition at line 49 of file Synthon.h.

## ◆ getNumChiralAtomsExcDummies()

unsigned int RDKit::SynthonSpaceSearch::Synthon::getNumChiralAtomsExcDummies | ( |  | ) | const
| inline

Definition at line 50 of file Synthon.h.

## ◆ getNumDummies()

unsigned int RDKit::SynthonSpaceSearch::Synthon::getNumDummies | ( |  | ) | const
| inline

Definition at line 47 of file Synthon.h.

## ◆ getNumHeavyAtoms()

unsigned int RDKit::SynthonSpaceSearch::Synthon::getNumHeavyAtoms | ( |  | ) | const
| inline

Definition at line 48 of file Synthon.h.

## ◆ getOrigMol()

const std::unique_ptr< ROMol > & RDKit::SynthonSpaceSearch::Synthon::getOrigMol | ( |  | ) | const

## ◆ getPattFP()

const std::unique_ptr< ExplicitBitVect > & RDKit::SynthonSpaceSearch::Synthon::getPattFP | ( |  | ) | const

## ◆ getSearchMol()

const std::unique_ptr< ROMol > & RDKit::SynthonSpaceSearch::Synthon::getSearchMol | ( |  | ) | const

## ◆ getSmiles()

const std::string & RDKit::SynthonSpaceSearch::Synthon::getSmiles | ( |  | ) | const
| inline

Definition at line 39 of file Synthon.h.

## ◆ operator=() [1/2]

Synthon & RDKit::SynthonSpaceSearch::Synthon::operator= | ( | const Synthon & | other | ) |

References Synthon().

## ◆ operator=() [2/2]

Synthon & RDKit::SynthonSpaceSearch::Synthon::operator= | ( | Synthon && | other | ) |
| default

References Synthon().

## ◆ readFromDBStream()

void RDKit::SynthonSpaceSearch::Synthon::readFromDBStream | ( | std::istream & | is,
|  | std::uint32_t | version )

## ◆ setFP()

void RDKit::SynthonSpaceSearch::Synthon::setFP | ( | std::unique_ptr< ExplicitBitVect > | fp | ) |

## ◆ setSearchMol()

void RDKit::SynthonSpaceSearch::Synthon::setSearchMol | ( | std::unique_ptr< ROMol > | mol | ) |

## ◆ writeToDBStream()

void RDKit::SynthonSpaceSearch::Synthon::writeToDBStream | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- Synthon.h